//
//  CESEditorViewExtension.h
//  CESnippet
//
//  Created by 舘 康一 on 12/01/19.
//  Copyright 2012 Odoru-saboten Workshop. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <OgreKit/OgreKit.h>
#import <OgreKit/OGRegularExpression.h>

@interface NSView(CEEditorView)

// コンパイルエラー回避
- (NSRange)selectedRange;
- (int)lineEndingCharacter;
- (NSString *)stringForSave;
- (NSString *)string;
- (id)textView;

@end

@interface NSView(CESEditorViewExtension)

// 追加メソッド
- (unsigned int)currentLineNum;
- (NSString *)currentLineText;
- (unsigned int)currentColumn;

@end
