//
//  CESTextCoreExtension.h
//  CESnippet
//
//  Created by 舘 康一 on 11/09/04.
//  Copyright 2011 Odoru-saboten Workshop. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CESDefine.h"
#import "CESnippet.h"

@interface NSTextView(CESTextCoreExtension)

// Swizzing メソッド
- (id)CESInitWithFrame:(NSRect)inFrame textContainer:(NSTextContainer *)inTextContainer;
- (void)CESInsertTab:(id)sender;
- (void)CESDealloc;

// 疑似インスタンス変数
+(NSMutableDictionary *)_simulatedIVars;
-(NSString *)_instanceID;
-(NSString *)_objectKeyForKeyString:(NSString *)aKeyString;
-(CESnippet *)_CESSnippetObjectForKeyString;
-(void)_setCESSnippetObjectForKeyString:(CESnippet*)_snippet;
-(void)_removeSimulatedIVars;

-(CESnippet*)CESSnippetObject;

@end

